package com.soss.common.enums;

public enum CouponState {
    DEFAULT(0, "默认"),
    ONLINE(1, "上架"),
    OFFLINE(2, "下架"),
    DELETE(3, "删除");

    private Integer state;
    private String desc;

    CouponState(Integer state, String desc) {
        this.state = state;
        this.desc = desc;
    }

    public Integer getState() {
        return state;
    }

    public static String getDesc(Integer state) {
        for (CouponState categoryType : CouponState.values()) {
            if (categoryType.state.equals(state)) {
                return categoryType.desc;
            }
        }
        return null;
    }
}
